API DocumentationAccount
Initialize new user account
First-time setup after Keycloak registration. Caller should refresh token afterwards.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/init"{ "default_project_name": "019dd518-7b37-7b33-99a7-85d78d7a3320"}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}